> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-fix-875-html-entity-rendering.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/transactions

> **Deprecated with known bugs that will not be fixed, use /v2/updates instead**.

Lists transactions, by default in ascending order, paged, from ledger begin or optionally starting after a provided event id.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/transactions
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/transactions:
    post:
      tags:
        - deprecated
      summary: POST /v0/transactions
      description: >
        **Deprecated with known bugs that will not be fixed, use /v2/updates
        instead**.


        Lists transactions, by default in ascending order, paged, from ledger
        begin or optionally starting after a provided event id.
      operationId: listTransactionHistory
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionHistoryRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionHistoryResponse'
        '400':
          $ref: '#/components/responses/400'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      deprecated: true
components:
  schemas:
    TransactionHistoryRequest:
      type: object
      required:
        - page_size
      properties:
        page_end_event_id:
          type: string
          description: >
            Note that all transactions carry some monotonically-increasing
            event_id.

            Omit this page_end_event_id to start reading the first page, from
            the beginning or the end of the ledger, depending on the sort_order
            column.

            A subsequent request can fill the page_end_event_id with the last
            event_id of the TransactionHistoryResponse to continue reading in
            the same sort_order.

            The transaction with event_id == page_end_event_id will be skipped
            in the next response, making it possible to continuously read pages
            in the same sort_order.
        sort_order:
          description: >
            Sort order for the transactions. For ascending order, from beginning
            to the end of the ledger, use "asc".

            For descending order, from end to beginning of the ledger, use
            "desc".

            "asc" is used if the sort_order is omitted.
          type: string
          enum:
            - asc
            - desc
        page_size:
          description: |
            The maximum number of transactions returned for this request.
          type: integer
          format: int64
    TransactionHistoryResponse:
      type: object
      required:
        - transactions
      properties:
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionHistoryResponseItem'
    TransactionHistoryResponseItem:
      type: object
      required:
        - transaction_type
        - event_id
        - date
        - domain_id
      properties:
        transaction_type:
          description: |
            Describes the type of activity that occurred.
            Determines if the data for the transaction should be read
            from the `transfer`, `mint`, or `tap` property.
          type: string
          enum:
            - transfer
            - mint
            - devnet_tap
            - abort_transfer_instruction
        event_id:
          description: |
            The event id.
          type: string
        offset:
          description: >
            The ledger offset of the event.

            Note that this field may not be the same across nodes, and therefore
            should not be compared between SVs.
          type: string
        date:
          description: |
            The effective date of the event.
          type: string
          format: date-time
        domain_id:
          description: |
            The id of the domain through which this transaction was sequenced.
          type: string
        round:
          description: |
            The round for which this transaction was registered.
          type: integer
          format: int64
        transfer:
          $ref: '#/components/schemas/Transfer'
          description: |
            A (batch) transfer from sender to receivers.
        mint:
          $ref: '#/components/schemas/AmuletAmount'
          description: >
            The DSO mints amulet for the cases where the DSO rules allow for
            that.
        tap:
          $ref: '#/components/schemas/AmuletAmount'
          description: >
            A tap creates a Amulet, only used for development purposes, and
            enabled only on DevNet.
        abort_transfer_instruction:
          $ref: '#/components/schemas/AbortTransferInstruction'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    Transfer:
      description: |
        A transfer between one sender and possibly many receivers
      type: object
      required:
        - sender
        - receivers
        - balance_changes
      properties:
        sender:
          $ref: '#/components/schemas/SenderAmount'
          description: |
            The sender amounts and fees.
        receivers:
          description: |
            The amounts and fees per receiver.
          type: array
          items:
            $ref: '#/components/schemas/ReceiverAmount'
        balance_changes:
          description: |
            Normalized balance changes per party caused by this transfer.
          type: array
          items:
            $ref: '#/components/schemas/BalanceChange'
        description:
          type: string
        transferInstructionReceiver:
          type: string
        transferInstructionAmount:
          type: string
        transferInstructionCid:
          type: string
        transfer_kind:
          type: string
          enum:
            - create_transfer_instruction
            - transfer_instruction_accept
            - preapproval_send
    AmuletAmount:
      type: object
      required:
        - amulet_owner
        - amulet_amount
      properties:
        amulet_owner:
          description: |
            The party that owns the amulet.
          type: string
        amulet_amount:
          description: |
            The amulet amount.
          type: string
    AbortTransferInstruction:
      type: object
      required:
        - abort_kind
        - transfer_instruction_cid
      properties:
        abort_kind:
          type: string
          enum:
            - withdraw
            - reject
        transfer_instruction_cid:
          type: string
    SenderAmount:
      type: object
      required:
        - party
        - sender_change_fee
        - sender_change_amount
        - sender_fee
        - holding_fees
      properties:
        party:
          description: |
            The sender who has transferred amulet.
          type: string
        input_amulet_amount:
          description: >
            Total amount of amulet input into this transfer, before deducting
            holding fees.
          type: string
        input_app_reward_amount:
          description: |
            Total amount of app rewards input into this transfer.
          type: string
        input_validator_reward_amount:
          description: |
            Total amount of validator rewards input into this transfer.
          type: string
        input_sv_reward_amount:
          description: |
            Total amount of sv rewards input into this transfer.
          type: string
        input_validator_faucet_amount:
          description: >
            Total amount of validator faucet coupon issuance input into this
            transfer.
          type: string
        sender_change_fee:
          description: >
            Fee charged for returning change to the sender,

            which is the smaller of the left-over balance after paying for all
            outputs

            or one amulet create fee.
          type: string
        sender_change_amount:
          description: >
            The final amount of amulet returned to the sender after paying for
            all outputs and fees.
          type: string
        sender_fee:
          description: >
            Total fees paid by the sender, based on receiver's
            receiver_fee_ratio on outputs
          type: string
        holding_fees:
          description: |
            Holding fees paid by the sender on their input amulets.
          type: string
    ReceiverAmount:
      type: object
      required:
        - party
        - amount
        - receiver_fee
      properties:
        party:
          description: |
            The receiver who will own the created output amulet.
          type: string
        amount:
          description: >
            The amount of amulet to receive, before deducting receiver's part of
            the fees.
          type: string
        receiver_fee:
          description: >
            Total fees paid by the receiver, based on receiver_fee_ratio on
            outputs
          type: string
    BalanceChange:
      type: object
      required:
        - party
        - change_to_initial_amount_as_of_round_zero
        - change_to_holding_fees_rate
      properties:
        party:
          description: |
            The party for which the balance changes.
          type: string
        change_to_initial_amount_as_of_round_zero:
          description: >
            The change to the total balance introduced by this balance change,
            normalized to round zero, i.e.,

            a amulet created in round 3 is treated as a amulet created in round
            0 with a higher initial amount.
          type: string
        change_to_holding_fees_rate:
          description: |
            The change of total holding fees introduced by this balance change.
          type: string
  responses:
    '400':
      description: bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '500':
      description: internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````